/* Author : Dario GENGA
 * Date : 23.11.2021
 * Description : Library to manipulate the stack
 */
#ifndef _STACK_H
#define _STACK_H
#include <stdio.h>
#include <stdlib.h>
#include <stdbool.h>

typedef struct _stack {
    int size;
    int top;
    int *data;
} stack;

void stack_init(stack *s, int size);
bool stack_is_empty(stack s);
void stack_push(stack *s, int val);
void stack_pop(stack *s, int *val);
void stack_peek(stack s, int *val);
void stack_destroy(stack *s);
int *sort(int unsorted_array[], int array_size);

#endif